Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditPolicyEvent

All Superinterfaces:
  AuditEvent

    public interface AuditPolicyEvent

extends AuditEvent

The `AuditPolicyEvent` interface is used to post security policy audit events. The WebLogic Authorization provider implements this interface and posts audit events for the following security events:

- Security policy creation has succeeded.
- Security policy creation has failed.
- Security policy removal has succeeded.
- Security policy removal has failed.
- A security policy update has succeeded.
- A security policy update has failed.
- Application deletion of security policies has succeeded.
- Application deletion of security policies has failed.

Custom Authorization providers may also implement this interface and post additional types of security policy audit events.

An Auditing provider can use this interface to get additional information about the security policy audit event. The `AuditSeverity` attribute can be used to determine is the security policy operation succeeded or failed.

Method Summary
`Resource` | `getResource()` Gets the resource associated with this `AuditPolicyEvent`.
`Subject` | `getSubject()` Gets the subject associated with this `AuditPolicyEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Method Detail

### getSubject

    Subject getSubject()

  Gets the subject associated with this `AuditPolicyEvent`.

  Returns:
    the `Subject` object that is attempting to access the resource associated with this `AuditPolicyEvent`.

### getResource

    Resource getResource()

  Gets the resource associated with this `AuditPolicyEvent`.

  Returns:
    the `Resource` object attempting to be accessed by the subject associated with this `AuditPolicyEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD